PPIx::Regexp::Token::Unmatched(3)

NAME
PPIx::Regexp::Token::Unmatched - Represent an unmatched right bracket

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{)}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Token::Unmatched" is a PPIx::Regexp::Token.

"PPIx::Regexp::Token::Unmatched" has no descendants.

DESCRIPTION
This class is used to represent an unmatched right bracket of any sort - parenthesis, square bracket, curly bracket, or whatever.

This class is not generated by the tokenizer; instead the lexer reblesses a PPIx::Regexp::Token::Structure into it when it is found to be unmatched.

METHODS
This class provides no public methods beyond those provided by its superclass.

SUPPORT
Support is by the author. Please file bug reports at <https://rt.cpan.org/Public/Dist/Display.html?Name=PPIx-Regexp>, <https://github.com/trwyant/perl-PPIx-Regexp/issues>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.